# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyScoreCategoryPhotosPresent do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :bathroom,
    :bedroom,
    :dining_room,
    :kitchen,
    :living_room,
    :outdoor
  ]

  @type t :: %__MODULE__{
    :bathroom => boolean() | nil,
    :bedroom => boolean() | nil,
    :dining_room => boolean() | nil,
    :kitchen => boolean() | nil,
    :living_room => boolean() | nil,
    :outdoor => boolean() | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyScoreCategoryPhotosPresent do
  def decode(value, _options) do
    value
  end
end

